GNU bug report logs - #37240
[PATCH] Provide facility to ignore all marked files

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Wolfgang Scherer <Wolfgang.Scherer@HIDDEN>; Keywords: fixed patch; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 37240 <at> debbugs.gnu.org:


Received: (at 37240) by debbugs.gnu.org; 16 Sep 2019 12:35:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 16 08:35:47 2019
Received: from localhost ([127.0.0.1]:49368 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i9qEN-0008RV-Bc
	for submit <at> debbugs.gnu.org; Mon, 16 Sep 2019 08:35:47 -0400
Received: from quimby.gnus.org ([80.91.231.51]:57562)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1i9qEL-0008RN-3A
 for 37240 <at> debbugs.gnu.org; Mon, 16 Sep 2019 08:35:45 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1i9qEI-0000Mi-1r; Mon, 16 Sep 2019 14:35:44 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37240: [PATCH] Provide facility to ignore all marked files
References: <bfb34dee-b57e-7074-83dc-24f22b7bf80a@HIDDEN>
 <874l1dyars.fsf@HIDDEN> <83d0g1y3dk.fsf@HIDDEN>
Date: Mon, 16 Sep 2019 14:35:41 +0200
In-Reply-To: <83d0g1y3dk.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 15 Sep
 2019 18:40:23 +0300")
Message-ID: <87v9tsto4i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > Should this command
 be mentioned in the "VC Directory Commands" node > of the user manual? It
 wasn't previously, so my guess was that it wasn't considered important enough
 to mention. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37240
Cc: 37240 <at> debbugs.gnu.org, Wolfgang.Scherer@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Should this command be mentioned in the "VC Directory Commands" node
> of the user manual?

It wasn't previously, so my guess was that it wasn't considered
important enough to mention.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37240; Package emacs. Full text available.

Message received at 37240 <at> debbugs.gnu.org:


Received: (at 37240) by debbugs.gnu.org; 15 Sep 2019 15:40:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 15 11:40:13 2019
Received: from localhost ([127.0.0.1]:48626 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i9WdI-0004SP-5U
	for submit <at> debbugs.gnu.org; Sun, 15 Sep 2019 11:40:13 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39953)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1i9WdG-0004SB-Ur
 for 37240 <at> debbugs.gnu.org; Sun, 15 Sep 2019 11:40:11 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37045)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1i9WdB-0003x5-2h; Sun, 15 Sep 2019 11:40:05 -0400
Received: from [176.228.60.248] (port=2822 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1i9Wd9-0005Y0-KN; Sun, 15 Sep 2019 11:40:04 -0400
Date: Sun, 15 Sep 2019 18:40:23 +0300
Message-Id: <83d0g1y3dk.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <874l1dyars.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sun, 
 15 Sep 2019 15:00:39 +0200)
Subject: Re: bug#37240: [PATCH] Provide facility to ignore all marked files
References: <bfb34dee-b57e-7074-83dc-24f22b7bf80a@HIDDEN>
 <874l1dyars.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37240
Cc: 37240 <at> debbugs.gnu.org, Wolfgang.Scherer@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Sun, 15 Sep 2019 15:00:39 +0200
> Cc: 37240 <at> debbugs.gnu.org
> 
> Wolfgang Scherer <Wolfgang.Scherer@HIDDEN> writes:
> 
> > Feature request vor *vc-dir* buffer.
> 
> Looks good; I've applied it to Emacs 27 with a NEWS entry.

Should this command be mentioned in the "VC Directory Commands" node
of the user manual?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37240; Package emacs. Full text available.
bug marked as fixed in version 27.1, send any further explanations to 37240 <at> debbugs.gnu.org and Wolfgang Scherer <Wolfgang.Scherer@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 37240 <at> debbugs.gnu.org:


Received: (at 37240) by debbugs.gnu.org; 15 Sep 2019 13:00:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 15 09:00:46 2019
Received: from localhost ([127.0.0.1]:47474 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i9U8z-0004R4-Ow
	for submit <at> debbugs.gnu.org; Sun, 15 Sep 2019 09:00:45 -0400
Received: from quimby.gnus.org ([80.91.231.51]:33006)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1i9U8x-0004Qw-9U
 for 37240 <at> debbugs.gnu.org; Sun, 15 Sep 2019 09:00:43 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1i9U8t-0000G6-L9; Sun, 15 Sep 2019 15:00:41 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Wolfgang Scherer <Wolfgang.Scherer@HIDDEN>
Subject: Re: bug#37240: [PATCH] Provide facility to ignore all marked files
References: <bfb34dee-b57e-7074-83dc-24f22b7bf80a@HIDDEN>
Date: Sun, 15 Sep 2019 15:00:39 +0200
In-Reply-To: <bfb34dee-b57e-7074-83dc-24f22b7bf80a@HIDDEN> (Wolfgang Scherer's
 message of "Sat, 31 Aug 2019 00:07:17 +0200")
Message-ID: <874l1dyars.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Wolfgang Scherer <Wolfgang.Scherer@HIDDEN> writes: > Feature
 request vor *vc-dir* buffer. Looks good; I've applied it to Emacs 27 with
 a NEWS entry. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37240
Cc: 37240 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Wolfgang Scherer <Wolfgang.Scherer@HIDDEN> writes:

> Feature request vor *vc-dir* buffer.

Looks good; I've applied it to Emacs 27 with a NEWS entry.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37240; Package emacs. Full text available.

Message received at 37240 <at> debbugs.gnu.org:


Received: (at 37240) by debbugs.gnu.org; 31 Aug 2019 06:48:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 31 02:48:28 2019
Received: from localhost ([127.0.0.1]:54967 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i3xBU-0003Gl-Iu
	for submit <at> debbugs.gnu.org; Sat, 31 Aug 2019 02:48:28 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45182)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1i3xBR-0003GX-Us
 for 37240 <at> debbugs.gnu.org; Sat, 31 Aug 2019 02:48:26 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59944)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1i3xBM-0005Wl-PB; Sat, 31 Aug 2019 02:48:20 -0400
Received: from [176.228.60.248] (port=4985 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1i3xBM-0004Nr-2K; Sat, 31 Aug 2019 02:48:20 -0400
Date: Sat, 31 Aug 2019 09:48:32 +0300
Message-Id: <8336hhakzj.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Wolfgang Scherer <Wolfgang.Scherer@HIDDEN>
In-reply-to: <bfb34dee-b57e-7074-83dc-24f22b7bf80a@HIDDEN> (message from
 Wolfgang Scherer on Sat, 31 Aug 2019 00:07:17 +0200)
Subject: Re: bug#37240: [PATCH] Provide facility to ignore all marked files
References: <bfb34dee-b57e-7074-83dc-24f22b7bf80a@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37240
Cc: 37240 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Wolfgang Scherer <Wolfgang.Scherer@HIDDEN>
> Date: Sat, 31 Aug 2019 00:07:17 +0200
> 
> * lisp/vc/vc-dir.el: (vc-dir-ignore) With prefix argument, ignore all
> marked files.

Thanks.  User-visible changes should come with a suitable NEWS entry.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37240; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Aug 2019 22:07:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 30 18:07:34 2019
Received: from localhost ([127.0.0.1]:54878 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i3p3O-0000oN-Ls
	for submit <at> debbugs.gnu.org; Fri, 30 Aug 2019 18:07:34 -0400
Received: from lists.gnu.org ([209.51.188.17]:49383)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Wolfgang.Scherer@HIDDEN>) id 1i3p3L-0000oC-Ll
 for submit <at> debbugs.gnu.org; Fri, 30 Aug 2019 18:07:32 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:59983)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <Wolfgang.Scherer@HIDDEN>) id 1i3p3J-00088U-Fb
 for bug-gnu-emacs@HIDDEN; Fri, 30 Aug 2019 18:07:31 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 RCVD_IN_DNSWL_NONE,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <Wolfgang.Scherer@HIDDEN>) id 1i3p3G-0006iH-7P
 for bug-gnu-emacs@HIDDEN; Fri, 30 Aug 2019 18:07:28 -0400
Received: from mout.gmx.net ([212.227.15.19]:59103)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <Wolfgang.Scherer@HIDDEN>)
 id 1i3p3F-0006Ux-ND
 for bug-gnu-emacs@HIDDEN; Fri, 30 Aug 2019 18:07:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1567202838;
 bh=a89ej4v7htP68xR+Pqz3V9ft33K7udgCgNJsGYUJGoM=;
 h=X-UI-Sender-Class:To:From:Subject:Date;
 b=NmVrEjWg6aJMoOG07TXtZPRT4uRDAKYpoOrptoNufVH1lxuud9gVyltkQ3LQAzMc9
 iCA5YrAu9vVEnrElVPPYCjGJZ4U/YLgtCM3eaY74AVSf/et8wnuUqR7gUeQQ6Tua6H
 +ep4RhQ4kAiP0rH/ygfELioDZ7vBdN/3epPx0Dsk=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from sheckley.simul.de ([91.11.52.253]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MfpSl-1iemcx0oeX-00gKRo for
 <bug-gnu-emacs@HIDDEN>; Sat, 31 Aug 2019 00:07:18 +0200
Received: from [127.0.0.1] (sheckley.simul.de [127.0.0.1])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (No client certificate requested)
 by sheckley.simul.de (Postfix) with ESMTPSA id 9ADE9194023B
 for <bug-gnu-emacs@HIDDEN>; Sat, 31 Aug 2019 00:07:17 +0200 (CEST)
To: Emacs Bugs <bug-gnu-emacs@HIDDEN>
From: Wolfgang Scherer <Wolfgang.Scherer@HIDDEN>
Subject: [PATCH] Provide facility to ignore all marked files
Openpgp: preference=signencrypt
Autocrypt: addr=Wolfgang.Scherer@HIDDEN; prefer-encrypt=mutual; keydata=
 xsDiBEb46IgRBACMHOAb1KNo1Ylk+ebri+4R+bG4tyKlqBlrpv8D9/ZwRdXSGt+0DyCHoaAd
 7KW7noHapLe87DunABOjKG4nqTGv+dRiWuUBlp3I4aYRFDVa3Da+XnIYkMHKqhK59VEHQCdp
 Km42nuLS7TS+n99at9YwzTG6VBdOlBKTlRFngOjVLwCg1RGXJ6X3EjS1FKCQeXziURVpWlkD
 /2zY6Ayhxi62TS84VjikXrrmjXykAAaAmMVEyKKYb9L5pGlqiZz9g/K9xw1EUoZTYuaufquD
 v4rAGR58K/3V4CYfJLEeshMWiaXHvMmlxMznlG16/um4MvmR8B3r+cx0nOPK1JBdD2qrkNnF
 Mw8FB+zouLFB4Gt2IUC5IlOmZ8OQA/4qdU53CItzWsCr9Nux4L0qUlRweSmCnV8xGQ2wP5XI
 MawIQxxREvSrsYDG8cNnYETMg4iQFfIktwAoxCJvuFAwIB6ZxHGF4FcEZm64CXc2u7CmFLqt
 rVhXhIfMz9oEYC+HhGczGamn9ofbGTFd2hJEtPcQgWNR4f7+aKknmi2+OM0fV29sZmdhbmcg
 U2NoZXJlciA8d3NAc3ctYW10LndzPsJhBBMRAgAhBQJYmz3YAhsjBQsJCAcCBhUICQoLAgQW
 AgMBAh4BAheAAAoJEIUCr3Gr112VZZoAoLTBSTp1qGuNhLdXY04iaWCMYmHCAJ4kHPtQ6nTw
 kEq9qCHgVgXDaY7wjs7ATQRG+OiIEAQAhi0wjcxvA4tychg2NQuwBIf9LX/46l+74+QbewCn
 a4a+mw/9s5KYqLGtYMuu3/KYq9yBd53OYc7LWTLMxsGOIATSOQRhdCKYW1AanupYrC/bKNW/
 8i2QEXc7LIeYiaII0TkVdQTVZxrg9kKLQ+Vf6z04Lbfv91sVCkHKI9jxgVMAAwUD/0mkDeN0
 tllPH+NOjbkkqlOj6UOwzwIYgXmALhuAEFGXVLM2HfRV9TtJa2OoGZiuhyGXat3Jl9QK9NNv
 d/J4HSal93ZHWstPU4YIRc5uhJ1eeWwKsfTmPvbZXMKMkh+hBBJ39SZnmxfoeUzkK0EQNE2p
 PZDyjAlz03qOx6D0DHnZwkkEGBECAAkFAkb46IgCGwwACgkQhQKvcavXXZU8PwCdGmUH5mbh
 dsLYyx7qthe4hOWnW54AoJQMfmHP4uUI6ji8VkdlvO8LKtLP
Message-ID: <bfb34dee-b57e-7074-83dc-24f22b7bf80a@HIDDEN>
Date: Sat, 31 Aug 2019 00:07:17 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------6A2CE3E831F30A05C3AB62A0"
Content-Language: de-DE
X-Provags-ID: V03:K1:uqtRkel1p5RRnc7dVhKRJd9a3ZZ7tR4UTll0J+eiptWiLO5IM4h
 m6T0pjyj9rHmIma7i0uWzFBV9/k7fa8dF53la/3nzdrfGLgtZlr2EXHDg2Nr8Ze4OHErXJa
 6G9kOZsmgOimYknHeHzjIR64L1dLUxcefnBlFxb2HhUdlWnVYjvsievin/7AshUEgIvJR89
 mDitHSgKtXDNmUoAPn6+w==
X-UI-Out-Filterresults: notjunk:1;V03:K0:QtDAImMEZK8=:2eD4RADyQ2LBsUbG91sTJu
 kT+n/TOZCXF4jWZ0G5h/XXh3Qu3ez05526IBu5WrRTZlf5XaMqK/0FNSQFRuM9Tl78SARGfvL
 gOLJKoN8wpCl1ajUZn9/CPWV6sTciEwX/vzIcWjjuL55ydntGLl4ooVlgm9I3Q3tBXNAIuD2k
 XlmEZKGpCPIWqmS7xLaLZJgYIitoFDbMG9YIUZrbrqYrZ01sWGherIKQkYQBUgPsTWmtXm1+j
 kmiXOUQ3IB1lM/SbnhP7K0QDW9kaiyFSsOGAaV2Yzzc2bdxJlcXHSI1/GPNZ7/2NAhBmeP2fT
 A4peltZXn1BqMmo9Hs1RdSp+Zpf2adTujql5q42BzB1ZaNXdNw1w+hBwwq/zTymcv1Q8lDe3r
 mSmR86mIxD/gF/I9jdYOAdSsXeaYsViMRFdb7JKZl3EMbbKjiZxFWiIuCCrmLmNksQEA7vgqw
 fWsV1eCL1BJs+d0KJKMRAK8hiZFxVVmg0ceEnJlFlGrB3V+xwv4bG3X/J9iwZVs5Mrnh3/SM6
 l5rKtIOHDuLV/EnHKqkwbI+2Bqqv4QGfXg4r+G4BShoAtHoDcM2LIzxRPQISOJQPV7CzczOTK
 vvJU4iqR6wKh9EY0NOEzdpJu+qkOAmsQQzygdtB/sTcelhjfv8EY7iz3HhlOHCnyRoQVZj7uP
 Buh22yaASXjn0btUv8zj8kfMx1qPvZWjGAcB1pzBdJk9JhDGyrWtxUbWiW2IAqyv1fze4c2iX
 VxkrV7VmrWWbpH5FA1wY5dMf/ppo5ioR7whGIaI+oQbDnxfnzwXvdZN3x3QgMMih7JlZSkX53
 JrIwvNHzYq6PRh+SEUuacHxAsn6YHYod4zbtpciA8dDo24/ssUtFmhrqsvaEPEA+sB40yss0c
 sgLm2R/7w4ttXx9lP8oa+vvY+QwEniDCqOC2OAZZm9DpflJ+0dEO8KtMfH7JIHEl2SzK1EdeN
 Qvua81y8eMpa6VKQWmBFz7Oj9ntkbPBMSxE995sdoEXJVSw8T7ISMMoo+9ANBHKuBp+1Fwafo
 cxTWaMtftDlpx17zRPG3NhJk2Rxl50chXPTeKCHq1pSG6pyjNPZ4eTatmvVMQj0rNyem5NGMv
 WhC57cZ959H8b2I67QBE6XKwsKECuZUPqUGrCn0L88UxfrihwWHjh3InxpJV26/L7GLk/qi2Q
 uJq+gzudZ5EjPABxBXsTywC2fY3eV+P7vywk0Fir/aVTR2dw==
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 212.227.15.19
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

This is a multi-part message in MIME format.
--------------6A2CE3E831F30A05C3AB62A0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit

Feature request vor *vc-dir* buffer.


--------------6A2CE3E831F30A05C3AB62A0
Content-Type: text/x-patch;
 name="0001-Provide-facility-to-ignore-all-marked-files.patch"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="0001-Provide-facility-to-ignore-all-marked-files.patch"

=46rom 7e2fd7641a15a11eca50af490c51927c170a7bb0 Mon Sep 17 00:00:00 2001
From: Wolfgang Scherer <wolfgang.scherer@HIDDEN>
Date: Sat, 31 Aug 2019 00:01:40 +0200
Subject: [PATCH] Provide facility to ignore all marked files

* lisp/vc/vc-dir.el: (vc-dir-ignore) With prefix argument, ignore all
marked files.
=2D--
 lisp/vc/vc-dir.el | 16 ++++++++++++----
 1 file changed, 12 insertions(+), 4 deletions(-)

diff --git a/lisp/vc/vc-dir.el b/lisp/vc/vc-dir.el
index 9a6f6bb..e225978 100644
=2D-- a/lisp/vc/vc-dir.el
+++ b/lisp/vc/vc-dir.el
@@ -864,10 +864,18 @@ with the command \\[tags-loop-continue]."
    delimited)
   (fileloop-continue))

-(defun vc-dir-ignore ()
-  "Ignore the current file."
-  (interactive)
-  (vc-ignore (vc-dir-current-file)))
+(defun vc-dir-ignore (&optional arg)
+  "Ignore the current file.
+If a prefix argument is given, ignore all marked files."
+  (interactive "P")
+  (if arg
+      (ewoc-map
+       (lambda (filearg)
+	 (when (vc-dir-fileinfo->marked filearg)
+	   (vc-ignore (vc-dir-fileinfo->name filearg))
+	   t))
+       vc-ewoc)
+    (vc-ignore (vc-dir-current-file))))

 (defun vc-dir-current-file ()
   (let ((node (ewoc-locate vc-ewoc)))
=2D-
2.7.4


--------------6A2CE3E831F30A05C3AB62A0--




Acknowledgement sent to Wolfgang Scherer <Wolfgang.Scherer@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37240; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 16 Sep 2019 12:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.